- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# CIAO::NAM_Map Class Reference

Implementation of a map of NodeApplicationManagers. More...

`#include <NAM_Map.h>`

Collaboration diagram for CIAO::NAM_Map:

[legend]
List of all members.

## Public Member Functions
| NAM_Map (void)
| Constructor.
bool | is_available (const ACE_CString &str)
| Determine if there is a NAM associated with a UUID.
bool | insert_nam (const ACE_CString &str, const PortableServer::ObjectId &oid)
| Insert a NAM OID into the collection.
::PortableServer::ObjectId | get_nam (const ACE_CString &str)
| Get a specified NAM.
bool | remove_nam (const PortableServer::ObjectId &oid)
| Remove a nam from the map, given its oid.
## Private Types
typedef ACE_Hash_Map_Manager_Ex< ACE_CString,::PortableServer::ObjectId_var, ACE_Hash< ACE_CString >, ACE_Equal_To< ACE_CString >, ACE_Null_Mutex > | MAP
typedef MAP::iterator | Iterator
## Private Attributes
MAP | map_

## Detailed Description

Implementation of a map of NodeApplicationManagers.

This table is used by the NodeManager to keep track of NAMs started for multiple assemblies.

## Member Typedef Documentation

typedef MAP::iterator CIAO::NAM_Map::Iterator`[private]`

typedef ACE_Hash_Map_Manager_Ex<ACE_CString, ::PortableServer::ObjectId_var, ACE_Hash<ACE_CString>, ACE_Equal_To<ACE_CString>, ACE_Null_Mutex> CIAO::NAM_Map::MAP`[private]`

## Constructor & Destructor Documentation

CIAO::NAM_Map::NAM_Map | ( | void |  | ) |

Constructor.

## Member Function Documentation

PortableServer::ObjectId CIAO::NAM_Map::get_nam | ( | const ACE_CString & | str | ) |

Get a specified NAM.

bool CIAO::NAM_Map::insert_nam | ( | const ACE_CString & | str,
|  | const PortableServer::ObjectId & | oid |
| ) |  |  |

Insert a NAM OID into the collection.

bool CIAO::NAM_Map::is_available | ( | const ACE_CString & | str | ) |

Determine if there is a NAM associated with a UUID.

bool CIAO::NAM_Map::remove_nam | ( | const PortableServer::ObjectId & | oid | ) |

Remove a nam from the map, given its oid.

## Member Data Documentation

MAP CIAO::NAM_Map::map_`[private]`

The documentation for this class was generated from the following files:

- NAM_Map.h
- NAM_Map.cpp